Bug 525107 - nsd init file doesn't give success/failure feedback
Summary: nsd init file doesn't give success/failure feedback
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nsd
Version: el5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-23 11:57 UTC by Noa Resare
Modified: 2011-07-16 07:32 UTC (History)
1 user (show)

Fixed In Version: nsd-3.2.8-6.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-21 17:43:25 UTC


Attachments (Terms of Use)
update to nsd.init to provide feedback and invoke 'rebuild' on 'reload' (1.33 KB, patch)
2009-09-23 11:57 UTC, Noa Resare
no flags Details | Diff

Description Noa Resare 2009-09-23 11:57:30 UTC
Created attachment 362281 [details]
update to nsd.init to provide feedback and invoke 'rebuild' on 'reload'

Description of problem:

The nsd init script does not give feedback the way that initscripts generally does. 

Also, I suspect that most users update zonefiles 100 times for each time they change their nsd.conf, so it would be reasonable to do a zonefile rebuild 
as a part of the 'nsd reload'. An added plus is that it makes life easier for
people coming from a bind environment.


Version-Release number of selected component (if applicable):
nsd-3.2.2-2.el5

How reproducible:
always

Steps to Reproduce:
1. run /sbin/init.d/nsd start
2.
3.
  
Actual results:
[root@tommy noa]# /sbin/service nsd start
Starting nsd:
[root@tommy noa]# 


Expected results:
[root@goliat zones]# /etc/init.d/nsd start
Starting nsd:                                              [  OK  ]
[root@goliat zones]# 


Additional info:

Comment 1 Fedora Update System 2011-06-07 15:20:02 UTC
nsd-3.2.8-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nsd-3.2.8-4.fc15

Comment 2 Fedora Update System 2011-06-07 21:12:02 UTC
nsd-3.2.8-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/nsd-3.2.8-1.fc14

Comment 3 Fedora Update System 2011-06-07 22:30:59 UTC
nsd-3.2.8-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/nsd-3.2.8-1.el5

Comment 4 Fedora Update System 2011-06-07 22:31:36 UTC
nsd-3.2.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nsd-3.2.8-1.el6

Comment 5 Fedora Update System 2011-06-08 23:58:58 UTC
Package nsd-3.2.8-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nsd-3.2.8-4.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/nsd-3.2.8-4.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-06-21 17:36:58 UTC
nsd-3.2.8-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-06-21 17:43:15 UTC
nsd-3.2.8-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-06-23 21:58:57 UTC
nsd-3.2.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-06-23 22:00:29 UTC
nsd-3.2.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-07-06 17:01:13 UTC
nsd-3.2.8-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nsd-3.2.8-6.fc15

Comment 11 Fedora Update System 2011-07-16 07:32:09 UTC
nsd-3.2.8-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.